# Contributing to react-data-export

We are happy you wish to contribute this project, for that reason we want to board you with this guide.

## How I contribute?

### Generic Pull Request, e.g. code update/fix

Steps that contributor should follow in order to create a pull request

[Fork](https://help.github.com/articles/fork-a-repo/) the [repository](https://github.com/securedeveloper/react-export-excel) by clicking the 'Fork' icon in the top-right corner of GitHub

Clone the repository in the command line on your PC:

`$ git clone https://github.com/securedeveloper/react-export-excel`

Navigate to the cloned repository in the OS' file manager GUI or on the command line, e.g.

`$ cd react-data-export`

Create a new branch to make a change on

`git checkout -b new-branch`

Edit the file/files that are needed for the fix/update. A simple rule of thumb is to make sure the edit is a discrete bug/piece of functionality. If it extends beyond this consider alternative branches and commits.

Commit the files to the repository. Commit-ing tells the repository something has been done with the files, in this case, this is just the initial commit so we just say as much.

`$ git commit -a`

Your configured text editor will appear. Add your commit message (short commit messages are considered to be better):

`[bugfix] Corrected behavior of application given certain parameters.`

Push your changes to your repository (authentication details will appear as you do this).

`$ git push`

Head back to your forked GitHub repository.

Click the Pull Request tab and click New Pull Request

A screen will appear allowing us to review the changes we want to see adopted. We may need to select the link 'compare across forks', and from there our fork, and specific branch for the pull request.

Click 'Create Pull Request' and write a description for what's in it.

Submit, and wait for the original repository's owner to review the request and merge.

Pull request complete.
